<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\RequestWelcomeMessageMetadata;

use UnexpectedValueException;




class LocalChatState
{
    


    const PBEMPTY = 0;
    


    const NON_EMPTY = 1;

    private static $valueToName = [
        self::PBEMPTY => 'EMPTY',
        self::NON_EMPTY => 'NON_EMPTY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            $pbconst =  __CLASS__. '::PB' . strtoupper($name);
            if (!defined($pbconst)) {
                throw new UnexpectedValueException(sprintf(
                        'Enum %s has no value defined for name %s', __CLASS__, $name));
            }
            return constant($pbconst);
        }
        return constant($const);
    }
}

